SDCV(1)

NAME
sdcv - console version of StarDict program

SYNOPSIS
sdcv [ options ] [list of words]

DESCRIPTION
sdcv is simple, cross-platform text-base utility for work with dictionaries in StarDict's format. The word from "list of words" may be string with leading '/' for using Fuzzy search algorithm, with leading '|' for using full-text search, string may contain '?' and '*' for using regexp search. It work in interactive and not interactive mode. To exit from interactive mode press Ctrl+D. In interactive mode, if sdcv was compiled with readline library support, you can use UP and DOWN keys to work through history.

OPTIONS

-h  --help
    display help message and exit

-v --verbose
    display version and exit

-l --list-dicts
    display list of available dictionaries and exit

-u --use-dict filename
    for search use only dictionary with this bookname

-n --non-interactive
    for use in scripts

--utf8-output
    Force sdcv not use conversation to locale charset, output in utf8

--utf8-input
    Force sdcv not use conversation from locale charset, suppose that input in utf8

--data-dir path/to/directory
    Use this directory as path to stardict data directory. This is mean that sdcv search dictionaries in data-dir/dic directory.

FILES

/usr/share/stardict/dic

$(HOME)/.stardict/dic
    Place, where sdcv expect to find dictionaries. Instead of /usr/share/stardict/dic you can use everything that you want, just set STARDICT_DATA_DIR environment variable. For example, if you have dictionaries in /mnt/data/stardict-dicts/dic, set STARDICT_DATA_DIR to /mnt/data/stardict-dicts.

$(HOME)/.sdcv_history
    This file include last $(SDCV_HISTSIZE) words, which you seek with sdcv. SDCV use this file only if it was compiled with readline library support.

ENVIRONMENT
Environment Variables Used By sdcv:

STARDICT_DATA_DIR
    If set, sdcv use this variable as data directory, this is mean that sdcv search dictionaries in $STARDICT_DATA_DIR\dic

SDCV_HISTSIZE
    If set, sdcv wrote in $(HOME)/.sdcv_history only last $(SDCV_HISTSIZE) words, which you seek using sdcv. If it is not set, then last 2000 words saved in $(HOME)/.sdcv_history.

SDCV_PAGER
    If SDCV_PAGER is set, its value is used as the name of the program to use to display the dictionary's article.

BUGS
Email bug reports to dushistov at mail dot ru. Be sure to include the word "sdcv" somewhere in the "Subject:" field.

AUTHORS
Evgeniy A. Dushistov, Hu Zheng

SEE ALSO
stardict(1), http://sdcv.sourceforge.net/, http://stardict.sourceforge.net